/**
 * This file is part of the SIASAR package.
 *
 * Next.js version 11.1.4
 *
 * SIASAR Global is a joint initiative launched by the governments of Honduras,
 * Nicaragua and Panama that soon expanded to other regions. The strategic
 * purpose of this initiative is to have a basic, updated and comparable
 * information tool on the rural water supply and sanitation services in place
 * in a given country.
 *
 * @summary SIASAR_3 Front-end
 *
 * @license GPL-3.0
 *
 * @see     http://globalsiasar.org/es/contact
 */

export interface DynFormStructureMetaFieldgroupInterface {
    id: string,
    // Optional because the API don't add the type.
    // field_group.tsx add it to nested groups.
    type?: string
    // This is a group generated by a field, that doesn't must display a legend.
    title: string
    help?: string
    children?: {
        [key: string]: DynFormStructureMetaFieldgroupInterface
    }
    field_id?: string
    weight?: number
    conditional?: any
    level?: number
    sdg?: boolean
    // Used in field_group.tsx to disable label.
    showLabel?: boolean
}
